#ifndef PW_VISUAL_CONTEXT_HPP
#define PW_VISUAL_CONTEXT_HPP

#include <pw/scene/component.hpp>

namespace pw {

class context {
public:

	struct size {
		int width,height;
	};

	virtual bool make_current() = 0;
	virtual void resize() = 0;
	virtual size size() = 0;
	virtual void flush() = 0;

	virtual ~context() = default;
};

}

#endif
